/**
 * <copyright>
 * </copyright>
 *
 * $Id$
 */
package org.eclipse.stp.soas.deploy.models.deployfile;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Deploy Server</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getTargetingConfiguration <em>Targeting Configuration</em>}</li>
 *   <li>{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getRoot <em>Root</em>}</li>
 *   <li>{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getProfileName <em>Profile Name</em>}</li>
 *   <li>{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getServerId <em>Server Id</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.eclipse.stp.soas.deploy.models.deployfile.DeployFilePackage#getDeployServer()
 * @model
 * @generated
 */
public interface DeployServer extends EObject {

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String copyright = "(c) 2004 Sybase, Inc.";

	/**
	 * Returns the value of the '<em><b>Targeting Configuration</b></em>' reference list.
	 * The list contents are of type {@link org.eclipse.stp.soas.deploy.models.deployfile.DeployConfiguration}.
	 * It is bidirectional and its opposite is '{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployConfiguration#getTargetServer <em>Target Server</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Targeting Configuration</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Targeting Configuration</em>' reference list.
	 * @see #isSetTargetingConfiguration()
	 * @see #unsetTargetingConfiguration()
	 * @see org.eclipse.stp.soas.deploy.models.deployfile.DeployFilePackage#getDeployServer_TargetingConfiguration()
	 * @see org.eclipse.stp.soas.deploy.models.deployfile.DeployConfiguration#getTargetServer
	 * @model type="org.eclipse.stp.soas.deploy.models.deployfile.DeployConfiguration" opposite="targetServer" unsettable="true" required="true"
	 * @generated
	 */
	EList getTargetingConfiguration();

	/**
	 * Unsets the value of the '{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getTargetingConfiguration <em>Targeting Configuration</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #isSetTargetingConfiguration()
	 * @see #getTargetingConfiguration()
	 * @generated
	 */
	void unsetTargetingConfiguration();

	/**
	 * Returns whether the value of the '{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getTargetingConfiguration <em>Targeting Configuration</em>}' reference list is set.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return whether the value of the '<em>Targeting Configuration</em>' reference list is set.
	 * @see #unsetTargetingConfiguration()
	 * @see #getTargetingConfiguration()
	 * @generated
	 */
	boolean isSetTargetingConfiguration();

	/**
	 * Returns the value of the '<em><b>Root</b></em>' container reference.
	 * It is bidirectional and its opposite is '{@link org.eclipse.stp.soas.deploy.models.deployfile.Root#getServer <em>Server</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Root</em>' container reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Root</em>' container reference.
	 * @see #setRoot(Root)
	 * @see org.eclipse.stp.soas.deploy.models.deployfile.DeployFilePackage#getDeployServer_Root()
	 * @see org.eclipse.stp.soas.deploy.models.deployfile.Root#getServer
	 * @model opposite="server" unsettable="true" required="true"
	 * @generated
	 */
	Root getRoot();

	/**
	 * Sets the value of the '{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getRoot <em>Root</em>}' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Root</em>' container reference.
	 * @see #getRoot()
	 * @generated
	 */
	void setRoot(Root value);

	/**
	 * Returns the value of the '<em><b>Profile Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Profile Name</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Profile Name</em>' attribute.
	 * @see #setProfileName(String)
	 * @see org.eclipse.stp.soas.deploy.models.deployfile.DeployFilePackage#getDeployServer_ProfileName()
	 * @model required="true"
	 * @generated
	 */
	String getProfileName();

	/**
	 * Sets the value of the '{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getProfileName <em>Profile Name</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Profile Name</em>' attribute.
	 * @see #getProfileName()
	 * @generated
	 */
	void setProfileName(String value);

	/**
	 * Returns the value of the '<em><b>Server Id</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Server Id</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Server Id</em>' attribute.
	 * @see #setServerId(String)
	 * @see org.eclipse.stp.soas.deploy.models.deployfile.DeployFilePackage#getDeployServer_ServerId()
	 * @model id="true" required="true"
	 * @generated
	 */
	String getServerId();

	/**
	 * Sets the value of the '{@link org.eclipse.stp.soas.deploy.models.deployfile.DeployServer#getServerId <em>Server Id</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Server Id</em>' attribute.
	 * @see #getServerId()
	 * @generated
	 */
	void setServerId(String value);

} // DeployServer
